using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Emgu.CV;
using Emgu.Util;
using Emgu.CV.Structure;
using System.Drawing.Imaging;
using System.Drawing;
using System.Windows.Forms;
using EmbeddedDesktop;


using System.Runtime.InteropServices;
using System.Security.Cryptography.X509Certificates;
using System.IO;
using System.IO.Ports;
using System.Net.Sockets;
using System.Net;


namespace PC_Gui
{
    class Program
    {
        /// <summary>
        /// Testovaci programek pro DisplayReader
        /// </summary>
        /// <param name="args"></param>
        [STAThread]
        static void Main(string[] args)
        {

            //Vytvoreni TCP klienta
            TcpClient client = new TcpClient();

            //Definice vzdalene adresy
            IPEndPoint serverEndPoint = new IPEndPoint(IPAddress.Parse("127.0.0.1"), 1234);

            //Pripojeni na vzdalenou adresu
            client.Connect(serverEndPoint);

            //Spusteni DisplayReaderu se streamem spojeni
            DisplayReader dr = new DisplayReader(client.GetStream());
            dr.Start();
            while (true) ;
        }
    }
}
